<?php

class backendLanguages extends cmsBackend {
	
	public $useDefaultOptionsAction = true;
	protected $useOptions = true;
	public $supports = array('caption', 'string', 'html', 'text');
	
	public function actionIndex(){		
		$this->redirectToAction('index');		
	}
	
	public function getBackendMenu() {
		
		return array(
			array(
				'title' => LANG_CP_SECTION_CTYPES,
				'url' => href_to($this->root_url, 'index')
			),		
			array(
				'title' => LANG_CP_SECTION_CONTENT,
				'url' => href_to($this->root_url, 'content')
			),
			array(
				'title' => LANG_CP_SECTION_MENU,
				'url' => href_to($this->root_url, 'content', array('menu', 'menu'))
			),
			array(
				'title' => LANG_CP_SECTION_WIDGETS,
				'url' => href_to($this->root_url, 'content', array('widgets', 'widgets'))
			),
			array(
				'title' => LANG_CP_SECTION_GROUPS,
				'url' => href_to($this->root_url, 'content', array('groups', 'groups'))
			),		
			array(
				'title' => LANG_IS_ENABLED,
				'url' => href_to($this->root_url, 'content', array('activity', 'activity'))
			),					
			array(
				'title' => LANG_TAGS,
				'url' => href_to($this->root_url, 'content', array('tags', 'tags'))
			),	
			array(
				'title' => LANG_LANGS_GEO,
				'url' => href_to($this->root_url, 'geotables')
			),	
			/*array(
				'title' => LANG_CREATE_LOCALE,
				'url' => href_to($this->root_url, 'create')
			),			
			array(
				'title' => LANG_LANGS_OTHER,
				'url' => href_to($this->root_url, 'labels')
			),*/
			array(
                'title' => LANG_OPTIONS,
                'url' => href_to($this->root_url, 'options')
            ),
		);
		
	}
	
	public function getLang(){
		
		$lang = cmsCore::getLanguageName();
		
		$lang = ($lang == $this->cms_config->language) ? 'en' : $lang;
		
		return $lang;
	}
	
}

