<?php  

class onLanguagesContentBeforeItem extends cmsAction { 

    public function run($data){	

		list($ctype, $item, $fields) = $data;

		$user_lang = cmsCore::getLanguageName();
		
		if ($user_lang != $this->cms_config->language) {
			
			$this->model->filterEqual('item_id', $item['id'])->filterEqual('lang', $user_lang);
			$is_translate = $this->model->getItem('languages_con_' . $ctype['name']);
			
			if ($is_translate) {			
				unset($is_translate['id']);
				if (!empty($is_translate['seo_title'])){ $this->cms_template->setPageTitle($is_translate['seo_title']); }
				if (!empty($is_translate['seo_keys'])){ $this->cms_template->setPageKeywords($is_translate['seo_keys']); }
				if (!empty($is_translate['seo_desc'])){ $this->cms_template->setPageDescription($is_translate['seo_desc']); }
				$title = $item['title'];

			# переводим контент			
			foreach($fields as $key=>$field){

				if(isset($fields[$key]['html'])) {

						$this->model->filterEqual('ctype', $ctype['name'])->filterEqual('lang', $user_lang)->filterEqual('item_id', $key);
						$t_title = $this->model->getFieldFiltered('languages_fields', 'title');
						if($t_title) $fields[$key]['title'] = $t_title;
					
					if($fields[$key]['type'] == 'list'){
						unset($is_translate[$key]);
						$this->model->filterEqual('ctype', $ctype['name'])->filterEqual('lang', $user_lang)->filterEqual('item_id', $key.'_values');
						$is_t = $this->model->getFieldFiltered('languages_fields', 'title');

						$vals = explode("\r\n", $fields[$key]['values']);
						$trans = explode("\r\n", $is_t);
						$curr = $fields[$key]['html'];
						if($vals){						
							foreach($vals as $k=>$val) {
								if(strstr($val, $curr)){
									if(strstr($val, '|')){
										$val = explode('|', $trans[$k]);
										$line = $val[1];
									} else $line = $trans[$k];			
								}	
							}
							
							$fields[$key]['html'] = $line;	
						}
						
					} else {
						if(isset($is_translate[$key]))$fields[$key]['html'] = $is_translate[$key];						
					}										
				}
				

			}	
			
				$item = array_merge($item, $is_translate);
				$fields['content']['html'] = $is_translate['content'];
				foreach($fields as $k=>$v){	
					if($fields[$k]['type'] == 'text') $fields[$k]['html'] = nl2br(htmlspecialchars(str_replace($title, $item['title'], $fields[$k]['html'])));
					else $fields[$k]['html'] = str_replace($title, $item['title'], $fields[$k]['html']);
				}

				//$f = $this->model->filterEqual('ctype', $ctype['name'])->filterEqual('lang', $user_lang)->get('languages_fields');	
								
				//if($f)				
				/*foreach($f as $k=>$v){
					//$fields[$v['item_id']]['title'] = $v['title'];
					//$fields[$v['item_id']]['handler']->title = $v['title'];
					//$fields[$v['item_id']]['handler']->element_title = $v['title'];					
					//$fields[$v['item_id']]['handler']->item['title'] = $is_translate['title'];

					foreach($fields[$v['item_id']]['handler']->item as $key=>$val)	{
						if(isset($is_translate[$key])) $fields[$v['item_id']]['handler']->item[$key] = $is_translate[$key];
					}							
				}*/
			}

			$this->model->selectOnly('i.id, i.title, i.labels');
			$this->model->filterEqual('item_id', $ctype['id'])->filterEqual('lang', $user_lang);

			$t_ctype = $this->model->getItem('languages_ctypes', function($field, $model){
				$field['labels'] = cmsModel::yamlToArray($field['labels']);
				return $field;
			});

			if ($t_ctype) {
				unset($t_ctype['id']);
				$ctype = array_merge($ctype, $t_ctype);
			}
			
			
		}
		
		foreach($fields as $key=>$field){

			# переводим категории
			if(isset($item['category']['path']))
			foreach($item['category']['path'] as $key=>$val){
				$cat_title = $this->model->getCatTitle($ctype['name'], $key, $user_lang);
				
				if($cat_title){
					$item['category']['title'] = $cat_title;
					$item['category']['path'][$key]['title'] = $cat_title;					
				}
			}

			# переводим теги
			if(isset($item['tags']) && $item['tags'])
			foreach($item['tags'] as $num=>$tag){
				$end_tag = $this->model->getTranslateTagByName($user_lang, $tag);
				if($end_tag != '') $item['tags'][$num] = $end_tag;		
									
			}
			
			# переводим папки
			$item['folder_title'] = $this->model->filterEqual('item_id', $item['folder_id'])->filterEqual('lang', $user_lang)->getFieldFiltered('languages_folders', 'title');
			
			# переводим группы			
			$item['parent_title'] = $this->model->filterEqual('item_id', $item['parent_id'])->filterEqual('lang', $user_lang)->filterEqual('ctype', 'groups')->getFieldFiltered('languages_groups', 'title');

			# перевод единиц измерения в полях
			if(isset($field['options']['units'])){		
				$this->model->filterEqual('item_id', $field['name'].'_units')->filterEqual('lang', $user_lang)->filterEqual('ctype', $ctype['name']);
				$trans_vals = $this->model->getFieldFiltered('languages_fields', 'title');
				if($trans_vals){
					$fields[$field['name']]['html'] = str_replace($field['options']['units'], $trans_vals, $fields[$field['name']]['html']);
					$fields[$field['name']]['options']['units'] = $trans_vals;
					$fields[$field['name']]['handler']->options['units'] = $trans_vals;
				}										
			}
			# перевод единиц измерения в полях
			
			
			
			
			
		}
		

        return array($ctype, $item, $fields);

    }

}








	
















