<?php

class onLanguagesContentBeforeList extends cmsAction {

    public function run($data){

        list($ctype, $item) = $data;

        if(!$item){return $data;}

		$lang = cmsCore::getLanguageName();

		if($lang !== $this->cms_config->language){

			# переводим title, description, keys
			$this->model->filterEqual('lang', $lang)->filterEqual('item_id', $ctype['id']);
			$ct_translate = $this->model->get('languages_ctypes');
			foreach($ct_translate as $val){
				if($this->cms_core->controller != 'frontpage'){
					if (!empty($val['seo_title'])){ $this->cms_template->setPageTitle($val['seo_title']); }
					if (!empty($val['seo_keys'])){ $this->cms_template->setPageKeywords($val['seo_keys']); }
					if (!empty($val['seo_desc'])){ $this->cms_template->setPageDescription($val['seo_desc']); }	
				}
			}

			# переводим контент
			$this->model->filterEqual('lang', $lang);
			$is_translate = $this->model->get('languages_con_' . $ctype['name']);


			if($is_translate){
				unset($is_translate['id']);
				foreach($is_translate as $translate){					
					if (isset($item[$translate['item_id']])) {
						$item[$translate['item_id']] = array_merge($item[$translate['item_id']], $translate);
					}
					# переводим группы			
					if(isset($item[$translate['item_id']]['parent_title'])) $item[$translate['item_id']]['parent_title'] = $this->model->filterEqual('item_id', $item[$translate['item_id']]['parent_id'])->filterEqual('lang', $lang)->filterEqual('ctype', 'groups')->getFieldFiltered('languages_groups', 'title');
					# переводим папки
					if(isset($item[$translate['item_id']]['folder_title'])) $item[$translate['item_id']]['folder_title'] = $this->model->filterEqual('item_id', $item[$translate['item_id']]['folder_id'])->filterEqual('lang', $lang)->getFieldFiltered('languages_folders', 'title');
					# переводим теги
					if(isset($item[$translate['item_id']]['tags'])){
						$tags = explode(', ', $item[$translate['item_id']]['tags']);
						foreach($tags as $num=>$tag){
							$end_tag = $this->model->getTranslateTagByName($lang, $tag);
							if($end_tag != '') $tags[$num] = $end_tag;									
						}
						$item[$translate['item_id']]['tags'] = implode(', ', $tags);	
					}
				}

			}
		}

        return array($ctype, $item);

    }

}