<?php

class onLanguagesContentBeforeUpdate extends cmsAction {

    public function run($item){
	
		$langs = cmsCore::getLanguages();
  		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$options = $this->getOptions();
	
		$url = explode('/', $this->cms_core->uri);
		$table = 'languages_con_'.$url[0];

		

		foreach($item as $key=>$val){
			$field_lang = explode('_', $key);
			$field_lang = $field_lang[count($field_lang)-1];
			
			# переносим оригинальные поля в отдельный массив
			if(!in_array($field_lang, $langs)){
				$translate['original'][$key] = $item[$key];
				unset($item[$key]);									
			}
			# переносим оригинальные поля в отдельный массив
			
			# формируем массивы с переводами
			foreach($langs as $lang){
				if(isset($item[$key.'_'.$lang])){
					if(empty($translate[$lang][$key])) $translate[$lang][$key] = $item[$key.'_'.$lang];
					unset($item[$key.'_'.$lang]);										
				}
			}
			# формируем массивы с переводами
	
	
		}

		$item = array_merge($item, $translate['original']);
		unset($translate['original']);	

		foreach($translate as $key=>$tr){
				
			$this->model->filterEqual('item_id', $item['id']);
			$this->model->filterEqual('lang', $key);		
			$id = $this->model->getFieldFiltered($table, 'id');

			if($id) $this->model->update($table, $id, $tr);
			if(!$id) {
				$tr['item_id'] = $item['id'];
				$tr['ctype'] = $url[0];
				$tr['lang'] = $key;
				$this->model->insert($table, $tr);
			}
		}


	
		//echo '<pre>';print_r($item);echo '</pre>';
		
        return $item;

    }

}

