<?php

class onLanguagesContentBeforeValidate extends cmsAction {

    public function run($data){

        list($list, $item) = $data;


		$langs = cmsCore::getLanguages();
  		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$options = $this->getOptions();
		
		$user = cmsUser::getInstance();
		$allow = false;
		$is_moderator = false;	
		
		if(isset($data['ctype_id'])) {
			$content_model = cmsCore::getModel('content');										
			$ctype = $content_model->getContentType($item['ctype_id']);
			$is_moderator =  cmsCore::getModel('content')->userIsContentTypeModerator($item['ctype_name'], $user->id);				
		}		

		if(($user->is_admin || $is_moderator) && $options['forms_admin'] == 1) $allow = true;
		if($user->is_logged && $options['forms_user'] == 1) $allow = true;
		if(!$user->is_logged && $options['forms_guest'] == 1) $allow = true;
		
		foreach($list as $ke=>$li){
			if(isset($item[$ke])) unset($list[$ke]);
		}
		
		# если контроль форм включен
		if($allow == true){
			
			foreach($item as $field=>$value){
				if(!$value){
					foreach($langs as $lang){					
						if(isset($list[$field.'_'.$lang]) && !empty($list[$field.'_'.$lang])) {
							$item[$field] = $list[$field.'_'.$lang];
						}
					}			
				}
	
			}
			
			# если идет редактирование статьи
			if(isset($item['slug'])){
				foreach($list as $key=>$val){ $item[$key] = $val; }	
			} else { # если идет добавление статьи
				$item = array_merge($item, $list);
				
		
				$url = explode('/', $this->cms_core->uri);
				$table = 'languages_con_'.$url[0];
				$exists_fields = $this->model->db->getTableFields($table);
				unset($exists_fields[0]);
				unset($exists_fields[1]);		
				unset($exists_fields[2]);		
				unset($exists_fields[3]);
					
				foreach($item as $field=>$value){
					foreach($langs as $lang){
						$ff = str_replace('_'.$lang, '', $field);	
						if(in_array($ff, $exists_fields)){
							if(isset($item[$ff.'_'.$lang]) && !empty($item[$ff]) && empty($item[$ff.'_'.$lang])){
								if($options['autotranslate']) {
								if(isset($item[$ff])) $response = $this->model->TranslateItem($item[$ff], $lang, $options['yandex_key']);
								} else {
									if(isset($item[$field.'_'.$system_lang])) $response = $item[$ff];
								}
								if($response) $item[$ff.'_'.$lang] = $response;
								
							}
							if(isset($item[$ff.'_'.$lang]) && empty($item[$ff]) && !empty($item[$ff.'_'.$lang])){
								if($options['autotranslate']) {
								if(isset($item[$ff.'_'.$lang])) $response = $this->model->TranslateItem($item[$ff.'_'.$lang], $config_lang, $options['yandex_key']);
								} else {
									if(isset($item[$ff.'_'.$lang])) $response = $item[$ff.'_'.$lang];
								}
								if($response) $item[$ff] = $response;
								
							}
								
						}
					}			
					
				}

			}
		}

		
        return array($list, $item);

    }

}