CREATE TABLE IF NOT EXISTS `{#}languages_activity` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(500) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_cats` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_ctypes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `lang` varchar(4) NOT NULL,
  `title` varchar(100) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `labels` text,
  `seo_keys` text,
  `seo_desc` text,
  `seo_title` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`,`lang`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_datasets` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_fields` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` varchar(24) DEFAULT NULL,
  `ctype` varchar(24) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(150) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_folders` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_groups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(500) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_menu` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_menu_items` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_tags` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_userfields` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(256) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `ftype` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_widgets` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) unsigned DEFAULT NULL,
  `ctype` varchar(50) DEFAULT NULL,
  `lang` varchar(5) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `links` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_usertabs` (
`id` int(11) unsigned NOT NULL AUTO_INCREMENT ,
`item_id` int(11) unsigned DEFAULT NULL ,
`ctype` varchar(50) DEFAULT NULL ,
`lang` varchar(5) DEFAULT NULL ,
`title` varchar(128) DEFAULT NULL ,
`type` varchar(24) DEFAULT NULL ,
`ftype` varchar(24) DEFAULT NULL ,
PRIMARY KEY (`id`)
) ENGINE = MYISAM DEFAULT CHARSET = utf8;


CREATE TABLE IF NOT EXISTS `{#}languages_usergroups` (
`id` int(11) unsigned NOT NULL AUTO_INCREMENT ,
`item_id` int(11) unsigned DEFAULT NULL ,
`ctype` varchar(50) DEFAULT NULL ,
`lang` varchar(5) DEFAULT NULL ,
`title` varchar(128) DEFAULT NULL ,
`type` varchar(24) DEFAULT NULL ,
`ftype` varchar(24) DEFAULT NULL ,
PRIMARY KEY (`id`)
) ENGINE = MYISAM DEFAULT CHARSET = utf8;


INSERT INTO `{#}widgets` (`controller`, `name`, `title`, `author`, `url`, `version`) VALUES
('languages', 'switch', 'Переключатель языка', 'Alex Malinsky', 'http://codeplace.ru', '1.0');


INSERT INTO `{#}controllers` (`title`, `name`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`, `is_external`) VALUES
('Языки', 'languages', 1, '---\nyandex_key:\ntranslate_fields: string, caption, text, html\nlimit_content: 15\nlimit_tags: 30\nforms_admin: null\nforms_user: null\nforms_guest: null\nenable forms: null\nenable_forms: 1\nautotranslate: null\nautotranslate_tags: null\nlimit_geo: 50\n', 'Alex Malinsky', 'http://codeplace.ru', '1.1', 1, NULL);
