<?php

class actionLanguagesContent extends cmsAction {

    public function run($ctype = false, $type = false){
		$options = $this->getOptions();
		$ctypes = false;
		$form = false;
		$items = false;		
		$errors = false;
		$perpage = $options['limit_content'];
		$perpage_tags = $options['limit_tags'];
		$page = $this->request->get('page', 1);		
		$total = false;	
		$pages = false;
		
		$langs = cmsCore::getLanguages();

		$options = $this->getOptions();
		$translate_fields = explode(', ', $options['translate_fields']);
		
		$this->model->createContentsTables($translate_fields);

		# перевод контента
		if($type == 'items' ) {
			$model = cmsCore::getModel('content');
			$total = $model->getCount('con_'.$ctype);
			$pages = ceil($total / $perpage);
		}
		
		# перевод тегов
		if($type == 'tags' ) {
			$perpage = $perpage_tags;
			$total = $this->model->getCount('tags');
			$pages = ceil($total / $perpage);
		}
		
		# главная страница
		if(!$ctype) {
			$ctypes = $this->model->getCtypes();				
		}
	
		# страница редактирования
		if($ctype){
			if(!$type) { cmsCore::error404(); } 		
			$items = $this->model->getItems($type, $ctype, $page, $perpage); # получаем список значений
		}
	

        return $this->cms_template->render('backend/content', array(
            'ctypes' => $ctypes,
			'langs' => $langs,
			'form' => $form,
			'items' => $items,
			'errors' => $errors,
			'type' => $type,
			'ctype'	=> $ctype,
			'translate_fields' => $translate_fields,
			'perpage' => $perpage,
			'total'	=> $total,
			'page' => $page			
								
        ));

    }

}







