<?php

class actionLanguagesGeotables extends cmsAction {

    public function run($type = false){

		$langs = cmsCore::getLanguages();
  		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$options = $this->getOptions();
		$perpage = $options['limit_geo'];
		$page = $this->request->get('page', 1);		
		$total = false;	
		$pages = false;
		$items = false;
		
		//$model = cmsCore::getModel('content');

		
		# создаем таблицы
		if(!$type) $this->model->createGeoTables($langs, $config_lang);

		# страница редактирования
		if($type){
			$total = $this->model->getCount('geo_'.$type);
			foreach($langs as $lang){
				if($lang == $config_lang) $table = 'geo_'.$type; else  $table = 'geo_'.$type.'_'.$lang;		
				$items[$lang] = $this->model->orderBy('id')->limitPage($page, $perpage)->get($table); # получаем список значений
			}
		}

//echo '<pre>';print_r($items);

        return $this->cms_template->render('backend/geo', array(
            'items' => $items,
			'langs' => $langs,
			'type' => 'geo_'.$type,
			'config_lang' => $config_lang,
			'page' => $page,
			'total' => $total,
			'perpage' => $perpage	
        ));

    }
}