<?php

class actionLanguagesSave extends cmsAction {
	
    public function run($type){
		if (!$this->request->isAjax()) { cmsCore::error404(); }
		$control = 0;
		$request = $this->request->getAll();	
		$config_lang = cmsConfig::getInstance()->language;
		
		if($type == 'datasets' || $type == 'fields' || $type == 'cats' || $type == 'folders' || $type == 'menu' || $type == 'menu_items' || 
		$type == 'tags' || $type == 'groups' || $type == 'activity' || $type == 'userfields' || $type == 'usertabs' || $type == 'usergroups'){

			foreach($_POST as $key=>$val){
				$key = explode('-', $key);
				if($key[2] != $this->cms_config->language){
					$item = array(
						'ctype' => $key[0],
						'item_id' => $key[1],				
						'lang' => $key[2],
						'title' => $val,					
					);			
					
					$this->model->write($item, $type); 
				}
			}
		}
		$links = array();
		if($type == 'widgets'){
			foreach($_POST as $key=>$val){			
				if(strstr($key, 'links')){
					$links[$key] = $val;
					unset($_POST[$key]);
					
				}
			}
			foreach($_POST as $key=>$val){
				$key = explode('-', $key);
				if($key[2] != $this->cms_config->language){
					$item = array(
						'ctype' => $key[0],
						'item_id' => $key[1],				
						'lang' => $key[2],
						'title' => $val,
						'links'	=> $links[$key[1].'-links-'.$key[2]] 				
					);
					
					$this->model->write($item, $type); 
				}
			}
		}		
		

		
		
		if($type == 'items'){
			$model = cmsCore::getModel('content');
			
			# создаем массив переведенных полей			
			$fields = array();
			
			foreach($_POST as $key=>$val){
				
				$key = explode('-', $key);
				array_push($fields, $key[0]);
				$fields = array_unique($fields);
				unset($fields[0]);
				unset($fields[1]);			
			}
	

			# формируем запрос
			$config = cmsConfig::getInstance();	
			$sql = "CREATE TABLE IF NOT EXISTS `{#}languages_con_".$_POST['ctype']."` (
					  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
					  `item_id` int(11) UNSIGNED DEFAULT NULL,
					  `ctype` varchar(32) NOT NULL DEFAULT '',
					  `lang` varchar(5) NOT NULL DEFAULT '',";
					  
			foreach($fields as $field) $sql .= "
					  `".$field."` text DEFAULT NULL,";
			
			$sql .= "
					  PRIMARY KEY (`id`)
					  ) ENGINE=".$config->db_engine." DEFAULT CHARSET=utf8";
				
			$result = $model->db->query($sql);	

			# получаем список существующих полей	
			if($result){
				$exists_fields = $model->db->getTableFields('languages_con_'.$_POST['ctype']);	
				foreach($fields as $ff){
					if(!in_array($ff, $exists_fields)) {
						$control = 1;
						$sql = "ALTER TABLE `{#}languages_con_".$_POST['ctype']."` ADD `".$ff."` text DEFAULT NULL";
						$result = $model->db->query($sql);										
					}
				}
				
				$exists_fields = $model->db->getTableFields('languages_con_'.$_POST['ctype']);
        		//$model->db->nestedSets->addRootNode();
		
				$items = array();
				$item_id = $_POST['item_id'];
				$ctype = $_POST['ctype'];
				unset($_POST['item_id']);
				unset($_POST['ctype']);
					
				# перестраиваем массив для отправки в базу	
				foreach($_POST as $key=>$val){
					if($key != 'ctype' || $key != 'item_id'){
						$key = explode('-', $key);
						if($key[1] != $this->cms_config->language){
							$items[$key[1]][$key[0]] = $val;
							$items[$key[1]]['item_id'] = $item_id;
							$items[$key[1]]['ctype'] = $ctype;
							$items[$key[1]]['lang'] = $key[1];
						}
					}
			
				}
				
				# записываем в БД
				foreach($items as $item){						
					//if(!in_array($key[0].'p', $exists_fields))	echo $key[0].'===========';				
					$this->model->write($item, 'con_'.$item['ctype']);
				}				
				
	
				
			}
			
		}	
		
	
	
	if($type == 'ctypes'){ 		
		$items = array();
	
		unset($_POST['tabs']);
		foreach($_POST as $key=>$val){
			$key = explode('-', $key);
			$items[$key[2]][$key[0]][$key[1]] = $val;
			$items[$key[2]][$key[0]]['lang'] = $key[2];
			$items[$key[2]][$key[0]]['item_id'] = $key[0];						
		}
		$values = array();
		$counter = 0;
		
		$langs = cmsCore::getLanguages();
	
		foreach($langs as $key=>$lang){
			foreach($items[$lang] as $value){	
				$values[$counter]['title'] = $value['title'];
				$values[$counter]['lang'] = $value['lang'];				
				$values[$counter]['item_id'] = $value['item_id'];	
				$values[$counter]['description'] = $value['description'];
				$values[$counter]['seo_title'] = $value['seo_title'];
				$values[$counter]['seo_keys'] = $value['seo_keys'];				
				$values[$counter]['seo_desc'] = $value['seo_desc'];				
				
				unset($value['title']);
				unset($value['lang']);
				unset($value['item_id']);
				unset($value['description']);
				unset($value['seo_title']);
				unset($value['seo_keys']);
				unset($value['seo_desc']);				
				$values[$counter]['labels'] = cmsModel::arrayToYaml($value);

				$counter++;
			}
		}		
		
				# записываем в БД
				foreach($values as $item){								
					$this->model->write($item, $type);
				}	
	
	}	
	
	
	
	
	if($type == 'props'){
		$ctype = $_POST['ctype'];
		$type = 'con_'.$ctype.'_props';
		unset($_POST['ctype']);				
		
		foreach($_POST as $key=>$val){
			
			$key = explode('-', $key);
			
			$item = array(
					'ctype' => $ctype,
					'item_id' => $key[1],				
					'lang' => $key[2],				
				);
				if($key[0] == $ctype) $item['title'] = $val;
				if($key[0] == 'fieldset') $item['fieldset'] = $val;				
				if($key[0] == 'values') $item['vals'] = $val;				


			if($item['lang'] != $this->cms_config->language) $this->model->write($item, $type); 
			//print_r($_POST);
			
		}
	
		
	}
	
	
	if($type == 'geo_cities' || $type == 'geo_regions' || $type == 'geo_countries'){
		foreach($_POST as $key=>$val){
			$table = '';
			$key = explode('-', $key);
			if($key[2] != $config_lang) $table = $type.'_'.$key[2]; else $table = $type;
			$this->model->update($table, $key[1], array('name' => $val));
			
		}
		
		
			

		
	
	}
	
	
	
	if($control == 1) echo LANG_LANGS_TABLE_UPDATE;	else echo LANG_LANGS_DONE;
	



    }

}
