<?php

class onLanguagesCtypeFieldBeforeDelete extends cmsAction {

    public function run($data){
	
		$options = $this->getOptions();
		$translate_fields = explode(', ', $options['translate_fields']);

        list($field, $ctype_name, $model) = $data;

		$is_exists = $model->db->query("SELECT id FROM {#}languages_con_" . $ctype_name, false, true);
		
		if ($is_exists && in_array($field['type'], $translate_fields)) {
			
			$query = "ALTER TABLE `{#}languages_con_{$ctype_name}` DROP `{$field['name']}`;";
			$model->db->query($query);

		}

        return array($field, $ctype_name, $model);

    }

}
